@import url("https://fonts.googleapis.com/css2?family=Bai+Jamjuree:wght@400;600&display=swap");

:root {
  --clr-primary-1: hsl(171, 66%, 44%);
  --clr-primary-2: hsl(233, 100%, 69%);

  --clr-neutral-3: hsl(210, 10%, 33%);
  --clr-neutral-4: hsl(201, 11%, 66%);

  --ff-primary: "Bai Jamjuree", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.5rem;
  --transition: all 0.03s linear;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 18px;
}

body {
  font-size: 1rem;
  line-height: 1.25;
  background: white;
  font-family: var(--ff-primary);
}

.section_title {
  text-align: center;
  margin-bottom: 2rem;
}
.section_center {
  width: 90vw;
  margin: 0 auto;
  max-width: 1170px;
}

.section {
  padding: 2rem 2rem;
  margin-bottom: 10rem;
}

img {
  width: 100%;
  display: block;
  object-fit: cover;
}
/* 
============
Header
============
*/

.header {
  background: url("/images/bg-header-mobile.png") center/cover no-repeat;
  min-height: 100vh;
  margin-bottom: 5rem;
}

.copyright {
  margin-bottom: 0;
}
.copyright h1 {
  color: var(--clr-primary-1);
  font-weight: 400;
  font-size: 12rem;
}

.app_info_download {
  text-align: center;
}

.app_info_download h1 {
  color: var(--clr-neutral-3);
  font-weight: 600;
  width: 16rem;
  margin: 0 auto;
}

.app_info_download p {
  color: var(--clr-neutral-4);
  font-weight: 400;
  margin: 1rem auto;
  font-size: 0.9rem;
  line-height: 1.5;
  width: 13.75rem;
  margin-bottom: 2rem;
}

.app_info_download button {
  display: block;
  margin-top: 1rem;
  width: 100%;
  height: 3rem;
  border-radius: 5rem;
}

.ios {
  color: #fff;
  font-weight: 600;
  letter-spacing: 0.05rem;
  background: var(--clr-primary-1);
  border: 1px solid var(--clr-primary-1);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

.mac {
  color: #fff;
  font-weight: 600;
  letter-spacing: 0.05rem;
  background: var(--clr-primary-2);
  border: 1px solid var(--clr-primary-2);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

/* 
============
Track Section
============
*/

.track_title h1 {
  color: var(--clr-neutral-3);
  font-weight: 600;
  margin: 0 auto;
  margin-bottom: 1rem;
}

.track_title p {
  color: var(--clr-neutral-4);
  font-weight: 300;
  font-size: 0.8rem;
  line-height: 1.75;
}

.img-container {
  margin-right: 2rem;
  margin-bottom: 3.75rem;
}

.track_features {
  margin-right: 2rem;
  margin-top: 3rem;
  text-align: center;
}

.track_features h4 {
  color: var(--clr-neutral-3);
  font-weight: 700;
  letter-spacing: 0.02rem;
  margin-bottom: 1rem;
}
.track_features p {
  color: var(--clr-neutral-4);
  font-weight: 400;
  font-size: 0.8rem;
  line-height: 1.75;
}

/* 
==================
Features Section
==================
*/

.features_title h1 {
  font-weight: 600;
  color: var(--clr-neutral-3);
  margin: 0 auto;
  text-transform: capitalize;
  margin-bottom: 1rem;
}

.features_title p {
  margin: 0 auto;
  color: var(--clr-neutral-4);
  font-size: 0.8rem;
  line-height: 1.75;
}

.features {
  text-align: center;
  margin-right: 2rem;
}
.features > h4 {
  margin: 0 auto;
  font-weight: 600;
  color: var(--clr-neutral-3);
  width: 13rem;
  line-height: 1.25;
  font-size: 1.25rem;
  margin-bottom: 0.5rem;
}

.features > p {
  margin: 0 auto;
  font-weight: 400;
  font-size: 0.8rem;
  color: var(--clr-neutral-4);
  line-height: 1.75;
  margin-bottom: 4rem;
}

.feature img {
  height: 2rem;
  width: 2rem;
  margin: 0 auto;
}

.feature {
  display: grid;
  align-items: center;
  justify-content: center;
}

.feature h2 {
  font-weight: 600;
  color: var(--clr-neutral-3);
  font-size: 1rem;
  margin-top: 3rem;
  margin-bottom: 1rem;
}

.feature p {
  font-size: 0.8rem;
  font-weight: 400;
  line-height: 1.75;
  color: var(--clr-neutral-4);
  margin-bottom: 3rem;
}

/* 
================
Partner Section
=================
*/

.partners_center {
  display: grid;
  align-items: center;
  margin-right: 2rem;
  justify-content: center;
}

.partners_center img {
  height: 7rem;
  object-fit: contain;
  width: 7rem;
  margin: 0 auto;
}

/* 
==================
Clipboard Section
==================
*/

.clipboard_title h1 {
  font-weight: 600;
  color: var(--clr-neutral-3);
  margin: 0 auto;
  margin-bottom: 1rem;
}

.clipboard_title p {
  margin: 0 auto;
  color: var(--clr-neutral-4);
  font-size: 0.8rem;
  width: 15rem;
  line-height: 1.75;
}

.clipboard_center {
  padding-right: 2rem;
}
.clipboard_center button {
  display: block;
  margin-top: 1rem;
  width: 100%;
  height: 3rem;
  border-radius: 5rem;
}

/* 
=================
Footer Section
================
*/

#footer {
  background: var(--clr-neutral-4);
  margin-bottom: 0;
}

.footer_center {
  padding-right: 2rem;
  text-align: center;
}

.footer_center h3 {
  color: var(--clr-primary-1);
  font-weight: 600;
  font-size: 4rem;
}

.footer_center p {
  color: var(--clr-neutral-3);
  padding: 1rem 0;
  font-weight: 600;
}

.socials {
  margin-top: 2rem;
  display: flex;
  justify-content: space-evenly;
}

.socials img {
  height: 1rem;
  width: 1rem;
}

@media screen and (min-width: 1170px) {
  .app_info_download h1 {
    font-size: 2rem;
    width: 32rem;
  }

  .app_info_download p {
    width: 31rem;
  }

  .app_info_download {
  }

  .app_info_download button {
    display: inline-block;
    width: 10rem;
    margin-right: 1rem;
    cursor: pointer;
    pointer-events: stroke;
  }

  .track_title p {
    max-width: 31rem;
    margin: 0 auto;
  }
  .track_center {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  :is(.track_features) h4,
  p {
    text-align: left;
  }
  :is(.track_features) p {
    max-width: 17rem;
  }

  .track_features {
    margin: 1.8rem 2rem;
  }

  .features_title h1 {
    font-size: 2rem;
  }

  .features_title {
    display: grid;
    align-items: center;
    justify-content: center;
  }

  .features_title p {
    font-size: 1rem;
    max-width: 40rem;
    text-align: center;
  }

  .features > h4 {
    font-size: 1.75rem;
    width: 25rem;
  }

  .features > p {
    text-align: center;
    font-size: 0.9rem;
  }

  .complete_features {
    display: flex;
    gap: 1rem;
  }

  .feature p {
    font-size: 0.9rem;
    max-width: 30rem;
    text-align: center;
  }

  .partners_center {
    margin-right: 7rem;
    display: flex;
    justify-content: space-between;
  }

  .clipboard_title h1 {
    font-size: 1.75rem;
  }

  .clipboard_title p {
    width: 32rem;
    text-align: center;
  }

  .clipboard_center button {
    display: inline-block;
    width: 10rem;
    margin-right: 1rem;
    cursor: pointer;
    pointer-events: stroke;
  }

  .clipboard_center button:first-child {
    margin-left: 4rem;
  }
  .clipboard_center {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .info {
    display: flex;
    flex-direction: column;
  }

  .info_1,
  .info_2 {
    display: flex;
  }

  .info_1 {
    width: 30rem;
    justify-content: space-between;
    align-items: flex-end;
  }

  .info_2 {
    align-items: flex-start;
    width: 16rem;
    justify-content: space-between;
  }

  .footer_center {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .socials {
    display: flex;
    gap: 1rem;
  }
}
